# Contributing

Code, documentation, or resources such as icons can be contributed via [pull request](https://github.com/tmo1/sms-ie/pulls), but for any substantial changes or additions to the existing codebase, please first [open an issue](https://github.com/tmo1/sms-ie/issues) to discuss the proposed changes or additions. All contributed code should be licensed under the [GNU GPLv3](https://www.gnu.org/licenses/gpl-3.0.en.html) or later.

SMS Import / Export is integrated with [Weblate](https://weblate.org). Translations into new languages, as well as corrections, updates, and improvements to existing translations, can be submitted via [SMS Import / Export @ Hosted Weblate](https://hosted.weblate.org/engage/sms-import-export/), or by ordinary [pull requests against the SMS Import / Export repository](https://github.com/tmo1/sms-ie/pulls).

## Contributors

The primary author of SMS Import / Export is [Thomas More](https://github.com/tmo1). The following individuals have contributed to the app:

### Code

 - [sxwxs](https://github.com/sxwxs): call log export support ([PR #10](https://github.com/tmo1/sms-ie/pull/10))
 - [Bindu (vbh)](https://github.com/vbh): call log import support ([PR #21](https://github.com/tmo1/sms-ie/pull/21))
 - [Jan Hustak (codingjourney)](https://github.com/codingjourney): bug fix ([PR #30](https://github.com/tmo1/sms-ie/pull/30))
 - [Dani Wang (EpicOrange)](https://github.com/EpicOrange): bug fix ([PR #39](https://github.com/tmo1/sms-ie/pull/39))
 - [Andrew Gunnerson (chenxiaolong)](https://github.com/chenxiaolong): support for running scheduled exports as a foreground service ([Issue #129](https://github.com/tmo1/sms-ie/issues/129) / [PR #131](https://github.com/tmo1/sms-ie/pull/131))
 - [Biswapriyo Nath (Biswa96)](https://github.com/Biswa96): addition of [`ScrollView`](https://developer.android.com/reference/android/widget/ScrollView) to "About" screen ([PR #133](https://github.com/tmo1/sms-ie/pull/133))
 - [Andrew (andr5w)](https://github.com/andr5w): bug fix ([PR #168](https://github.com/tmo1/sms-ie/pull/168))

### Translations

 - [nautilusx](https://github.com/nautilusx): German translation
 - [baitmooth](https://github.com/baitmooth): additions to German translation
 - [AntoninCurtit](https://github.com/AntoninCurtit): French translation (and assistance with the German one)
 - [Philippe (Philippe213)](https://hosted.weblate.org/user/philippe213/): update to French translation
 - [Allan Nordhøy (comradekingu)](https://github.com/comradekingu): Norwegian Bokmål translation
 - [poipoipoipoipoipoipoipoipoi](https://github.com/poipoipoipoipoipoipoipoipoi): Simplified Chinese translation
 - [Eric (hamburger1024)](https://hosted.weblate.org/user/hamburger1024/): updates to Simplified Chinese translation
 - [yangyangdaji](https://github.com/yangyangdaji): updates to Simplified Chinese translation
 - [Merlignux](https://github.com/Merlignux): Portuguese translation
 - [python israel (nhman-python)](https://github.com/nhman-python): Hebrew translation
 - [Артём (Artem13327)](https://hosted.weblate.org/user/Artem13327/): Russian translation
 - Axus Wizix: updates to Russian translation
 - [pjammo](https://github.com/pjammo): Italian translation
 - [Translator-3000](https://hosted.weblate.org/user/Translator-3000/): update to Italian translation
 - [jacek (TX5400)](https://hosted.weblate.org/user/TX5400/): Polish translation
 - [Eryk Michalak (gnu-ewm)](https://github.com/gnu-ewm): updates to Polish translation
 - [gallegonovato](https://github.com/gallegonovato): Spanish translation
 - [Bai (Baturax)](https://github.com/Baturax): Turkish translation
 - [Oğuz Ersen (ersen0 / oerson)](https://github.com/oersen): updates to Turkish translation
 - [Raman](https://hosted.weblate.org/user/deleted-56119/): Malayalam translation
 - Surena: Persian translation
 - [ngocanhtve](https://github.com/ngocanhtve): Vietnamese translation

### Other

 - [Onno van den Dungen (Donnno)](https://github.com/Donnnno): application icon ([Issue #20](https://github.com/tmo1/sms-ie/issues/20) / [PR #22](https://github.com/tmo1/sms-ie/pull/22))
 - [Biswapriyo Nath (Biswa96)](https://github.com/Biswa96): monochrome icon ([issue #114](https://github.com/tmo1/sms-ie/issues/114) / [PR #132](https://github.com/tmo1/sms-ie/pull/132))
 - [Biswapriyo Nath (Biswa96)](https://github.com/Biswa96): [GitHub workflow to automatically build and upload APKs containing the latest committed code](.github/workflows/build.yml) ([PR #99](https://github.com/tmo1/sms-ie/pull/99))
 - [wittmane](https://github.com/wittmane), [dshepsis](https://github.com/dshepsis), and [sshaikh](https://github.com/sshaikh): figuring out broken `Subscription ID` handling on Android 14 ([Issue #128](https://github.com/tmo1/sms-ie/issues/128))
 - [Artem13327](https://github.com/Artem13327): [Update to automatic build and upload Github workflow](https://github.com/tmo1/sms-ie/pull/158)
